## Apache Zeta Components Manual :: Docs For Class ezcTreePersistentObjectDataStore

### TreePersistentObjectTiein::ezcTreePersistentObjectDataStore

### Class ezcTreePersistentObjectDataStore

ezcTreePersistentObjectDataStore is a tree data store that stores persistent objects.

Source for this file: /TreePersistentObjectTiein/src/stores/persistent_object.php

### Implements interfaces:

- ezcTreeXmlDataStore
- ezcTreeDbDataStore

Version: | //autogentag//

### Member Variables

protected DOMDocument | `$dom` Contains the DOM representing this tree this data store stores data for.

### Method Summary

public ezcTreePersistentObjectDataStore | `__construct( $session , $class , $idProperty )` Constructs a new storage backend that stores objects through persistent objects.
public void | `deleteDataForAllNodes( )` Deletes the data for all the nodes in the store.
public void | `deleteDataForNodes( $nodeList )` Deletes the data for all the nodes in the node list $nodeList.
public void | `fetchDataForNode( $node )` Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.
public void | `fetchDataForNodes( $nodeList )` This method *tries* to fetch the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.
public void | `setDomTree( $dom )` Associates the DOM tree for which this data store stores data for with this store.
public void | `storeDataForNode( $node )` Stores the data in the node to the data store.

### Methods

#### __construct

ezcTreePersistentObjectDataStore __construct( $session , string $class , string $idProperty )

Constructs a new storage backend that stores objects through persistent objects.

The store will use the persistent session specified by $session. The $class parameter specifies which object class is used. The class' property that is matched against the node ID is specified with $idProperty.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$session` | ezcPersistentSession |
`$class` | string |
`$idProperty` | string |

#### deleteDataForAllNodes

void deleteDataForAllNodes( )

Deletes the data for all the nodes in the store.

#### deleteDataForNodes

void deleteDataForNodes( $nodeList )

Deletes the data for all the nodes in the node list $nodeList.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nodeList` | ezcTreeNodeList |

#### fetchDataForNode

void fetchDataForNode( $node )

Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTreeNode |

#### fetchDataForNodes

void fetchDataForNodes( $nodeList )

This method *tries* to fetch the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nodeList` | ezcTreeNodeList |

#### setDomTree

void setDomTree( $dom )

Associates the DOM tree for which this data store stores data for with this store.

This method is only needed for when a data store is used with an XML based tree backend. XML based tree backends call this method to associate the DOM tree with the store. This is not needed for this data store so the method is a no-op.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dom` | DOMDocument |

#### storeDataForNode

void storeDataForNode( $node )

Stores the data in the node to the data store.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTreeNode |

Documentation generated by phpDocumentor 1.4.3